import { FormController } from "../../../ui-components/form/form";
import { DisputeEvidenceDocument } from "../../../api/DisputeEvidenceDocument";
import { DisputeResponseFormStep } from "./dispute-response-form-types";
export declare class CancellationPolicy {
    disputeResponse: any;
    documentErrors: any;
    form: FormController;
    errors: any;
    documents: {
        cancellation_policy: DisputeEvidenceDocument[];
    };
    validateAndSubmit(onSuccess: (formData: any, documentList: DisputeEvidenceDocument[], formStep: DisputeResponseFormStep) => void): Promise<void>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    private inputHandler;
    render(): any;
}
